# HTML EBNF Reference

### Norman Walsh

$Id$

Copyright © 1999, 2000 by Norman Walsh. No Warranty.

## Introduction

This is technical reference documentation for the DocBook XSL Stylesheets; it documents (some of) the parameters, templates, and other elements of the stylesheets.

This reference describes the templates and parameters relevant to formatting EBNF markup.

This is not intended to be “user” documentation. It is provided for developers writing customization layers for the stylesheets, and for anyone who's interested in “how it works”.

Although I am trying to be thorough, this documentation is known to be incomplete. Don't forget to read the source, too :-)

# ebnf.table.bgcolor

## Name

ebnf.table.bgcolor — Background color for EBNF tables

## Synopsis

    <xsl:param name="ebnf.table.bgcolor">#F5DCB3</xsl:param>

Sets the background color for EBNF tables. No `bgcolor` attribute is output if `ebnf.table.bgcolor` is set to the null string. The default value matches the value used in recent online versions of the W3C's XML Spec productions.

# ebnf.table.border

## Name

ebnf.table.border — Selects border on EBNF tables

## Synopsis

    <xsl:param name="ebnf.table.border">1</xsl:param>

Selects the border on EBNF tables. If non-zero, the tables have borders, otherwise they don't.